%define major	1
%define libname	%mklibname expat %{major}
%define devname	%mklibname -d expat

Summary:	XML parser written in C
Name:		expat
Version:	2.1.0
Release:	%mkrel 7
License:	MIT
Group:		Text tools
URL:		http://www.libexpat.org
Source0:	http://prdownloads.sourceforge.net/expat/expat-%{version}.tar.gz
Patch0:		expat-2.1.0-xmlwfargs.patch

%description
Expat is an XML 1.0 parser written in C by James Clark.  It aims to be
fully conforming. It is currently not a validating XML parser.

%package -n %{libname}
Summary:	Main library for expat
Group:		Development/C

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with expat.

%package -n %{devname}
Summary:	Development environment for the expat XML parser
Group:		Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}expat1-devel < 2.1.0-5

%description -n %{devname}
Development environment for the expat XML parser.

%prep
%setup -q
%apply_patches

%build
#rm -rf autom4te*.cache
#rm conftools/libtool.m4
#libtoolize --copy --force --automake; aclocal; autoheader; autoconf
#export CFLAGS="%{optflags} -fPIC"

%configure2_5x \
	--disable-static
%make

%check
make check

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -delete

%files
%{_bindir}/xmlwf
%{_mandir}/man*/*

%files -n %{libname}
%{_libdir}/libexpat.so.%{major}*

%files -n %{devname}
%doc doc/reference.html
%{_libdir}/libexpat.so
%{_includedir}/expat.h
%{_includedir}/expat_external.h
%{_libdir}/pkgconfig/expat.pc


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.1.0-7.mga4
+ Revision: 528978
- Mageia 4 Mass Rebuild

* Sun Jun 30 2013 wally <wally> 2.1.0-6.mga4
+ Revision: 448458
- add patch from Fedora to fix 'xmlwf -h' output (rhbz#948534)

* Sun Jun 30 2013 wally <wally> 2.1.0-5.mga4
+ Revision: 448454
- fix devel pkg name
- fix license
- disable static build
- clean old obsoletes/provides
- clean .spec a bit

* Fri Jan 11 2013 umeabot <umeabot> 2.1.0-4.mga3
+ Revision: 349870
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 2.1.0-3.mga3
+ Revision: 310511
- fix RPM group

* Sat Oct 20 2012 malo <malo> 2.1.0-2.mga3
+ Revision: 308541
- update RPM group

* Thu Mar 29 2012 guillomovitch <guillomovitch> 2.1.0-1.mga2
+ Revision: 227472
- new version

* Sat Jan 08 2011 blino <blino> 2.0.1-14.mga1
+ Revision: 724
- remove old ldconfig scripts
- imported package expat


* Thu Nov 25 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-13mdv2011.0
+ Revision: 601022
- rebuild

* Sun Jan 10 2010 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-12mdv2010.1
+ Revision: 488610
- P1: security fix for CVE-2009-3560 (new patch. the old patch caused regressions)

* Sat Dec 05 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-11mdv2010.1
+ Revision: 473800
- P1: security fix for CVE-2009-3560
- added one patch and fixes from fedora

* Sun Aug 23 2009 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-10mdv2010.0
+ Revision: 419987
- bump release
- P0: security fix related to CVE-2009-2625

* Fri Dec 19 2008 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-8mdv2009.1
+ Revision: 316206
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.0.1-7mdv2009.0
+ Revision: 220735
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.0.1-6mdv2008.1
+ Revision: 170823
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 2.0.1-5mdv2008.1
+ Revision: 149707
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jun 07 2007 Oden Eriksson <oeriksson@mandriva.com> 2.0.1-4mdv2008.0
+ Revision: 36867
- use distro conditional -fstack-protector

* Thu Jun 07 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 2.0.1-3mdv2008.0
+ Revision: 36797
- fix mixture of tabs and spaces
- correct url and source
- drop useless scriplets
- correct obsoletes and provides
- spec file clean

  + Anssi Hannula <anssi@mandriva.org>
    - rebuild with correct optflags

  + David Walluck <walluck@mandriva.org>
    - 2.0.1


* Wed Oct 11 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-10 09:19:15 (63272)
- rebuild

* Sat Oct 07 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-10-06 07:15:16 (62920)
- Import expat

* Mon May 15 2006 Stefan van der Eijk <stefan@eijk.nu> 1.95.8-3mdk
- rebuild for sparc

* Wed Nov 16 2005 Frederic Crozat <fcrozat@mandriva.com> 1.95.8-2mdk
- Rebuild to get debug package

* Tue Dec 07 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.95.8-1mdk
- add new header file
- drop merged patch 2
- drop patch 1, needs a review
- fix source URL
- New release 1.95.8, needed for python 2.4

* Fri Jul 30 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.95.7-1mdk
- 1.95.7
- sync with fedora patches

